## NAME

v.patch - Create a new vector map layer by combining other vector map layers.

## KEYWORDS

vector, geometry

## SYNOPSIS

v.patch
v.patch help
v.patch [-ae] input=name[,name,...] output=name [bbox=name] [--overwrite] [--verbose] [--quiet]

### Flags:

-a
  Append files to existing file (overwriting existing files must be activated)
-e
  Copy also attribute table
  Only the table of layer 1 is currently supported
--overwrite
  Allow output files to overwrite existing files
--verbose
  Verbose module output
--quiet
  Quiet module output

### Parameters:

input=name[,name,...]
  Name of input vector map(s)
output=name
  Name for output vector map
bbox=name
  Name for output vector map where bounding boxes of input vector maps are written to

## DESCRIPTION

v.patch allows the user to combine any number of vector maps together to create one composite vector map. If the table structures are identical, attributes are transferred to the new table.

## NOTES

Any vectors that are duplicated among the maps being patched together (e.g., border lines) will have to be edited or removed after v.patch is run. Such editing can be done automatically using v.clean.

Lines may need to be snapped with v.clean tool=snap,break,rmdupl.

Boundaries may need to be cleaned with v.clean tool=break,rmdupl,rmsa repeatedly until the rmsa tool (Remove small angles at nodes) no longer modifies any boundaries. If vector topology is still not clean, boundaries may also need to be snapped with v.clean tool=snap,break,rmdupl.

When using the -a flag, the user has to make sure that the features in the different maps added to the output map do not have overlapping category numbers, unless identical category numbers reflect identical attributes, otherwise the attributes of the added maps are lost. To avoid this, the user can use v.category option=sum to change category values of some of the maps before patching.

## EXAMPLES

Patch together two maps with mixed feature types:

       v.patch input=geology,streams out=geol_streams

Append one map to another:

       g.copy vect=roads,transport
       v.patch -a input=railroads output=transport --overwrite

## SEE ALSO

v.clean, v.build, v.select, v.overlay

## AUTHORS

Dave Gerdes, U.S.Army Construction Engineering Research Laboratory
Radim Blazek, ITC-Irst, Trento, Italy

Last changed: $Date: 2011-11-08 12:29:50 +0100 (út, 08 XI 2011) $

Main index - vector index - Full index

© 2003-2014 GRASS Development Team